Subject: Re: mintty --log overwrites existing logfile in place
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: Christian Franke <[email-masked]>
Date: Sat, 6 Aug 2011 11:02:45 +0200
List-Id: <cygwin.cygwin.com>

On Fri, Aug 5, 2011 at 10:38 PM, Andy Koppe  wrote:
> On 4 August 2011 10:57, Christian Franke wrote:
>> The mintty --log option is very useful but opens logfile without O_TRUNC
>> or O_APPEND:
(snip)
>> I would suggest to add O_APPEND.
>
> I'll ponder that. The original intention was O_TRUNC.
>

Ideally it could be made user-selectable.
The effect of O_TRUNC can be manually replicated by deleting the
existing log, but I suspect few would bother; resulting in large log
files.
The effect of o_APPEND can be manually replicated by renaming and
concatenating the log files.

Csaba
-- 
GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
The Tao of math: The numbers you can count are not the real numbers.
Life is complex, with real and imaginary parts.
"Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
"People disagree with me. I just ignore them." -- Linus Torvalds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple